#include <owl\owlpch.h>
#include <owl\applicat.h>
#include <owl\framewin.h>

#include "dirdlg.h"

#include "main.rh"


class TDirDlgWin : public TWindow
{
public:

TDirDlgWin() : TWindow() {Init(0, 0, 0); *directory = 0;}

protected:

char directory[MAXPATH];

void SelectDir();

DECLARE_RESPONSE_TABLE(TDirDlgWin);

};

DEFINE_RESPONSE_TABLE1(TDirDlgWin, TWindow)
   EV_COMMAND(IDM_DIRDLG, SelectDir),
END_RESPONSE_TABLE;


void TDirDlgWin::SelectDir()
{
   TDirectoryDialog DirSelector(this, directory);

   if (DirSelector.Execute() == IDOK)
      DirSelector.GetDirectory(directory);
}


class TDirDlgApp : public TApplication
{
public:

TDirDlgApp() : TApplication() {}

protected:

void InitMainWindow();

};


void TDirDlgApp::InitMainWindow()
{
   EnableBWCC();
//   EnableCtl3d();
   SetMainWindow(new TFrameWindow(0, "Director Selection Test", new TDirDlgWin));
   GetMainWindow()->AssignMenu(MAINMENU);
}


int OwlMain(int, char *[])
{
   return TDirDlgApp().Run();
}
 
